return function ($app, ws, $scope, $rootScope, $location, message) {
	$app.listing();
	$scope.submit = function() {
		ws.login($scope.username, $scope.password).then(function(json) {
			sessionStorage.session_id = json.data.session_id;
			$rootScope.is_system_owner = json.data.is_system_owner;
			if ($app.referrer) {
				$app.jump($app.referrer);
				if ($location.path() == '/login') {
					$app.jump('/tenants'); //until dashboard comes alive
				}
			} else {
				$app.jump('/tenants'); //until dashboard comes alive
			}
			if (json.data.notify_whitelist_unconfigured) {
				message.prompt_2();
			}
		})
		.catch($app.default_error_handler);
	}
};
